/**
 * 
 * Fachhochschule Jena
 * Internettechnologie / APL
 * Jürgen Döffinger; Michael Goldbuch
 * 
 * sbdm.php
 * Version 1.0.0	2011-06-16
 * 
 */



/**
 * 
 * Die Funktion changeSelect reagiert auf Änderungen
 * in der Abstimmung und stellt die Auswahllisten so ein, 
 * dass es zu keinen mehrfach Vergaben von Platzierungen 
 * kommen kann.
 * 
 * Sollte Javascript abgeschaltet sein, kommt es zu keiner 
 * Beeinträchtigung der Funktionalität, da in der sbdm_auswertung.php
 * das Abstimmungsergebnis auf mehrfach Vergabe einer Platzierung
 * geprüft wird.
 * 
 */
function changeSelect()
{
	var values = new Array();
	for(i=1; i<14; i++)
	{
		values[i] = true;
	}
	for (i=0; i<13; i++)
	{
		var val = document.getElementById('Abstimmung' + i).value;
		if (val != 0) values[val] = false
	}
	for (i=0; i<13; i++)
	{
		var f = document.getElementById('Abstimmung' + i);
		var selected = f.value;
		var newHTML = '<select id="Abstimmung' + i + '" onchange="changeSelect()">';
		if (selected == '---')
			newHTML += '<option value="0" selected="selected">---</option>';
		else
			newHTML += '<option value="0">---</option>';
		for(j=1; j<14; j++)
		{
			if (selected == j)
			{
				newHTML += '<option value="' + j + '" selected="selected">' + j + '</option>';
			} else {
				if (values[j]) newHTML += '<option value="' + j + '">' + j + '</option>';
			}
		}
		f.innerHTML = newHTML;
	}
}