<?php 

/**
 * 
 * Fachhochschule Jena
 * Internettechnologie / APL
 * Jürgen Döffinger; Michael Goldbuch
 * 
 * title.php
 * Version 1.0.0	2011-06-16
 * 
 */



/**
 * 
 * Die Klasse Title stellt den Seitentitel entsprechend
 * des dem Konstruktor übergebenen Parameters $id (Seitenindex)
 * mithilfe der Methode getTitle zur Verfügung.
 * 
 */
class Title
{	
	//	Attribute deklarieren
	private $id;		//	Seitenindex
	private $title;		//	Seitentitel

	
	//	Konstruktor
	public function __construct($id)
	{
		$this->id = $id;		//	Seitenindex übergeben	
		$this->setTitle();		//	Seitentitel ermitteln und im Attribut $title speichern
		
	}

	
	
	/**
	 * 
	 * Die Methode setTitle ermittelt den Seitentitel und
	 * übergibt ihn an das Attribute title.
	 *  
	 */
	private function setTitle()
	{
		$title = "SAVACANAIVABOMBS";
		switch($this->id)
		{
			case 0	:	$title = "SAVACANAIVABOMBS - Startseite"; break;
			case 1	:	$title = "SAVACANAIVABOMBS - Neuigkeiten"; break;
			case 2	:	$title = "SAVACANAIVABOMBS - SBS"; break;
			case 3	:	$title = "SAVACANAIVABOMBS - SBDM"; break;
			case 4	:	$title = "SAVACANAIVABOMBS - SBDJ"; break;
			case 5	:	$title = "SAVACANAIVABOMBS - Little Susie"; break;
			case 6	:	$title = "SAVACANAIVABOMBS - Nationenwettstreit"; break;
			case 7	:	$title = "SAVACANAIVABOMBS - EXTRA"; break;
			case 8	:	$title = "SAVACANAIVABOMBS - Impressum"; break;
		}
		$this->title = $title;
	}

	
	
	/**
	 * Die Methode getTitle gibt den Seitentitel zurück 
	 */
	public function getTitle() { return $this->title; }

}
	 
?>