<?php 

/**
 * 
 * Fachhochschule Jena
 * Internettechnologie / APL
 * Jürgen Döffinger; Michael Goldbuch
 * 
 * sbdm_auswerten.php
 * Version 1.0.0	2011-06-16
 * 
 * Die Datei sbdm_auswerten wertet eine Abstimmung aus und
 * stellt entsprechend einen Seiteninhalt zusammen.
 * 
 */



//	Feststellen ob alle Daten übermittelt wurde und entsprechend speichern
 //	sowie überprüfen ob es (durch abschalten von Javascript) zu mehrfachen
 //	Vergaben von ein und derselben Platzierung gekommen ist.
 $error = array();
 $abstimmung = array();
 $values = array();
 for($i = 0; $i<13; $i++)
 {
 	if (isset($_POST["Abstimmung".$i]))
 	{
 		$teilergebnis = $_POST['Abstimmung'.$i];
 		if ($teilergebnis == 0) $teilergebnis = "keine Platzierung vergeben";
 		array_push($abstimmung, $teilergebnis);
 		if (($values[$_POST['Abstimmung'.$i]] == true) && ($_POST['Abstimmung'.$i] != 0))
 		{
 			$error = "Sie haben eine Platzierung mehrfach vergeben.";
 			break;
 		} else {
 			$values[$_POST['Abstimmung'.$i]] = true;
 		}
 	} else {
 		$error = "Es wurden nicht alle Daten &uuml;bermittelt.";
 		break;
 	}
}


//	Wurde kein Fehler entdeckt, dann den Seiteninhalt zusammenstellen,
//	ansonsten die Fehlermeldungen ausgeben.
if ($error != null) {
	$content = '
		<div class="error">
			<p>
				Leider kann ihre Abstimmung aufgrund folgenden Fehlers nicht registriert werden:
				<br />
				<br />
				'.$error.'
			</p>
			<span class="center">
				<form method="post" name="sbdm_zurueck" action="index.php?id=3">
					<input class="input_button" type="submit" title="Zur&uuml;ck zur Abstimmung" name="sbdm_zurueck_button" value="Zur&uuml;ck" />
				</form>
			</span> 
		</div>
	';
} else {
	$content = '
		<div id="sbdm_auswertung_outer">
			<div id="sbdm_auswertung_inner"> 
				<p>
					Du hast wie folgt abgestimmt:
				</p>	
				<table>
					<tr><th>Monat</th><th>Platzierung</th></tr>
					<tr><td>Januar:</td><td>'.$abstimmung[0].'</td></tr>
					<tr><td>Februar:</td><td>'.$abstimmung[1].'</td></tr>
					<tr><td>M&auml;rz:</td><td>'.$abstimmung[2].'</td></tr>
					<tr><td>April:</td><td>'.$abstimmung[3].'</td></tr>
					<tr><td>Mai (a):</td><td>'.$abstimmung[4].'</td></tr>
					<tr><td>Mai (b):</td><td>'.$abstimmung[5].'</td></tr>
					<tr><td>Juni:</td><td>'.$abstimmung[6].'</td></tr>
					<tr><td>Juli:</td><td>'.$abstimmung[7].'</td></tr>
					<tr><td>August:</td><td>'.$abstimmung[8].'</td></tr>
					<tr><td>Sptember:</td><td>'.$abstimmung[9].'</td></tr>
					<tr><td>Oktober:</td><td>'.$abstimmung[10].'</td></tr>
					<tr><td>November:</td><td>'.$abstimmung[11].'</td></tr>
					<tr><td>Dezember:</td><td>'.$abstimmung[12].'</td></tr>
				</table>
				<form method="post" name="sbdm_Abstimmungs_Ergebnis" action="index.php?id=3">
					<input type="hidden" name="Abstimmung1" value="'.$_POST["Abstimmung0"].'" />
					<input type="hidden" name="Abstimmung2" value="'.$_POST["Abstimmung1"].'" />
					<input type="hidden" name="Abstimmung3" value="'.$_POST["Abstimmung2"].'" />
					<input type="hidden" name="Abstimmung4" value="'.$_POST["Abstimmung3"].'" />
					<input type="hidden" name="Abstimmung5" value="'.$_POST["Abstimmung4"].'" />
					<input type="hidden" name="Abstimmung6" value="'.$_POST["Abstimmung5"].'" />
					<input type="hidden" name="Abstimmung7" value="'.$_POST["Abstimmung6"].'" />
					<input type="hidden" name="Abstimmung8" value="'.$_POST["Abstimmung7"].'" />
					<input type="hidden" name="Abstimmung9" value="'.$_POST["Abstimmung8"].'" />
					<input type="hidden" name="Abstimmung10" value="'.$_POST["Abstimmung9"].'" />
					<input type="hidden" name="Abstimmung11" value="'.$_POST["Abstimmung10"].'" />
					<input type="hidden" name="Abstimmung12" value="'.$_POST["Abstimmung11"].'" />
					<input type="hidden" name="Abstimmung13" value="'.$_POST["Abstimmung12"].'" />
				<p>
						Gib bitte noch deinen Namen und deine E-Mail-Adresse ein. 
						Solltest du mit dem Abstimmungsergebnis nicht zufrieden sein, 
						so kannst du mithilfe des Buttons "Neu Abstimmen" noch einmal
						neu abstimmen. 
					</p>
					<table>
						<tr><td>Name:</td><td><input type="text" name="name" title="dein Name" value="" /></td></tr>
						<tr><td>E-Mail:</td><td><input type="text" name="email" title="deine E-Mail-Adresse" value="" /></td></tr>
					</table>
					<p class="center">
						<input class="input_button" type="submit" name="senden" title="Abstimmung versenden" value="Senden" />
						<input class="input_button" type="submit" name="neu" title="neu Abstimmen" value="Neu Abstimmen" />
					</p>
				</form>
			</div>
		</div>
	';
}

return $content;

?>