<?php

/**
 * 
 * Fachhochschule Jena
 * Internettechnologie / APL
 * Jürgen Döffinger; Michael Goldbuch
 * 
 * sbs.php
 * Version 1.0.0	2011-06-16
 * 
 * Die Datei sbs.php stellt den Seiteninhalt der Seite
 * SBS zusammen und speichert diesen in der Variable $content.
 * Die Datei wird zum Aufbau der Seite SBS eingebunden.
 * 
 */



//	Paramater sbs prüfen und entsprechend Variable $sbs setzen
$sbs = 0;	//	Standardwert falls der übergebene Wert nicht innerhalb des definierten Wertebereiches liegt. 
if (isset($_GET['sbs'])) $sbs = $_GET['sbs'];	
if (($sbs < 0) || ($sbs > 5)) $sbs = 0;



//	Pfadangabe zum entsprechenden Video in Variable $src festlegen.
switch($sbs)
{
	case 0	: $src = "http://www.youtube.com/v/I47f1cpeEPA?version=3"; break; // SB140
	case 1	: $src = "http://www.youtube.com/v/eeugOGfnqqU?version=3"; break; // SB144
	case 2	: $src = "http://www.youtube.com/v/mxzqcHG-QNQ?version=3"; break; // SB145
	case 3	: $src = "http://www.youtube.com/v/IT-H_uGO06k?version=3"; break; // SB146
	case 4	: $src = "http://www.youtube.com/v/0Thv-nL2BCc?version=3"; break; // SB147
	case 5	: $src = "http://www.youtube.com/v/yRGnwyagDJ8?version=3"; break; // SB148
}



//  Navigationsleiste oben zusammenstellen
$nav ="";

if ($sbs == 0)
{
	$nav .= '<img src="./images/Button_4_SB140.jpg" alt="SBS140" />';
} else {
	$nav .= '
		<a href="index.php?id=2&amp;sbs=0" title="SBS140">
			<img src="./images/Button_1_SB140.jpg" alt="SBS140" 
				onmouseover="this.src = \'./images/Button_2_SB140.jpg\';"
				onmouseout="this.src = \'././images/Button_1_SB140.jpg\';"
				onmousedown="this.src = \'./images/Button_3_SB140.jpg\';"
		  	/>
		</a>
	';
}

if ($sbs == 1)
{
	$nav .= '<img src="./images/Button_4_SB144.jpg" alt="SBS144" />';
} else {
	$nav .= '
		<a href="index.php?id=2&amp;sbs=1" title="SBS144">
			<img src="./images/Button_1_SB144.jpg" alt="SBS144" 
				onmouseover="this.src = \'./images/Button_2_SB144.jpg\';"
				onmouseout="this.src = \'././images/Button_1_SB144.jpg\';"
				onmousedown="this.src = \'./images/Button_3_SB144.jpg\';"
		  	/>
		</a>
	';
}

if ($sbs == 2)
{
	$nav .= '<img src="./images/Button_4_SB145.jpg" alt="SBS145" />';
} else {
	$nav .= '
		<a href="index.php?id=2&amp;sbs=2" title="SBS145">
			<img src="./images/Button_1_SB145.jpg" alt="SBS145" 
				onmouseover="this.src = \'./images/Button_2_SB145.jpg\';"
				onmouseout="this.src = \'././images/Button_1_SB145.jpg\';"
				onmousedown="this.src = \'./images/Button_3_SB145.jpg\';"
		  	/>
		</a>
	';
}

$nav .= "<br />";

if ($sbs == 3)
{
	$nav .= '<img src="./images/Button_4_SB146.jpg" alt="SBS146" />';
} else {
	$nav .= '
		<a href="index.php?id=2&amp;sbs=3" title="SBS146">
			<img src="./images/Button_1_SB146.jpg" alt="SBS146" 
				onmouseover="this.src = \'./images/Button_2_SB146.jpg\';"
				onmouseout="this.src = \'././images/Button_1_SB146.jpg\';"
				onmousedown="this.src = \'./images/Button_3_SB146.jpg\';"
		  	/>
		</a>
	';
}

if ($sbs == 4)
{
	$nav .= '<img src="./images/Button_4_SB147.jpg" alt="SBS147" />';
} else {
	$nav .= '
		<a href="index.php?id=2&amp;sbs=4" title="SBS147">
			<img src="./images/Button_1_SB147.jpg" alt="SBS147" 
				onmouseover="this.src = \'./images/Button_2_SB147.jpg\';"
				onmouseout="this.src = \'././images/Button_1_SB147.jpg\';"
				onmousedown="this.src = \'./images/Button_3_SB147.jpg\';"
		  	/>
		</a>
	';
}

if ($sbs == 5)
{
	$nav .= '<img src="./images/Button_4_SB148.jpg" alt="SBS148" />';
} else {
	$nav .= '
		<a href="index.php?id=2&amp;sbs=5" title="SBS148">
			<img src="./images/Button_1_SB148.jpg" alt="SBS148" 
				onmouseover="this.src = \'./images/Button_2_SB148.jpg\';"
				onmouseout="this.src = \'././images/Button_1_SB148.jpg\';"
				onmousedown="this.src = \'./images/Button_3_SB148.jpg\';"
		  	/>
		</a>
	';
}



//	Seiteninahlt zusammenstellen
$content = '
	<article>
		<div class="youtube_outer">
			<div class="youtube_inner">
				<object data="'.$src.'" type="application/x-shockwave-flash">
					<param name="movie" value="'.$src.'">
					<param name="allowFullScreen" value="true">
					<param name="allowScriptAccess" value="always">
					<embed 
						src="'.$src.'" 
						type="application/x-shockwave-flash" 
						allowfullscreen="true" 
						allowScriptAccess="always" 
					>
				</object>	
			</div>
		</div>
		<div id="sbs_nav">
		'.$nav.'
		</div>
	</article>
';
?>